Subject: Re: [PATCH 1/1] sched: add head drop fifo queue

From: Hagen Paul Pfeifer <[email-masked]>
Date: Mon, 18 Jan 2010 20:36:45 +0100

* Jarek Poplawski | 2010-01-18 20:25:17 [+0100]:

>I don't think this is needed; qdisc_dequeue_head() updated it already.

No, the bookkeeping stuff is done in the previous call layer. It is not really
nice solved but to generalize this stuff adds unnecessary overhead.

>> +	.drop		=	qdisc_queue_drop,
>
>Probably it isn't used much, but it seems for consistency this drop
>should be implemented as a head drop.

Sounds coherent, Patrick should I brew a new patch?

HGN

PS: Jarek thank you for your notes, I will incorporate these!